Calls By Third-Party

This resource allows third-party users to update calls using td_secure_token and td_uuid passed in a call's SIP headers. These endpoints do not require authentication with a auth_token

PUT /secure/:secure_token/calls/:uuid

Secure token and call UUID required
https://[your-subdomain].trackdrive.com/api/v1/secure/:secure_token/calls/:uuid

Update a call by SIP tokens

Update a call with td_secure_token and td_uuid passed in a call’s SIP headers.

Params

Param name Description
secure_token
Required

The secure token used to authorize access to an individual object. Must be 40 characters.

  • Must match regular expression /.{40}/.

uuid
Required

A unique identifier eg: 5cc8897c-ad0f-44cb-8ea7-8f7736ae76f1

  • Must be a String

revenue
Optional

The revenue paid out for the call.

  • Must be a decimal number.

buyer_converted
Optional

Did the buyer convert?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

digits
Optional Blank value allowed

DTMF digit

  • Must be a String

data
Optional Blank value allowed

Update the call with this data. {interest: 'kittens', source: 'google', first_name: 'John', last_name: 'Smith'}

  • Must be a Hash

DELETE /secure/:secure_token/calls/:uuid

Secure token and call UUID required
https://[your-subdomain].trackdrive.com/api/v1/secure/:secure_token/calls/:uuid

Hang up a call by SIP tokens

Hang up an ongoing call using a td_secure_token and td_uuid passed in a call’s SIP headers.

Params

Param name Description
secure_token
Required

The secure token used to authorize access to an individual object. Must be 40 characters.

  • Must match regular expression /.{40}/.

uuid
Required

A unique identifier eg: 5cc8897c-ad0f-44cb-8ea7-8f7736ae76f1

  • Must be a String

GET /secure/:secure_token/calls/:uuid/data

Secure token and call UUID required
https://[your-subdomain].trackdrive.com/api/v1/secure/:secure_token/calls/:uuid/data

Returns UUID and data for the call.

Returns the call's uuid and its stored custom field data for a downstream carrier or SIP trunk, authenticated by the call's own secure_token and uuid rather than an auth_token. Used by systems that echo Trackdrive's custom SIP headers or X-PH- webhook parameters back to look up the associated call's data mid-call.

Params

Param name Description
secure_token
Required

The secure token used to authorize access to an individual object. Must be 40 characters.

  • Must match regular expression /.{40}/.

uuid
Required

A unique identifier eg: 5cc8897c-ad0f-44cb-8ea7-8f7736ae76f1

  • Must be a String